spandsp 0.0.6

fsk_rx_state_s Struct Reference

`#include <fsk.h>`

## Public Attributes
int | baud_rate
int | framing_mode
| Synchronous/asynchronous framing control.
put_bit_func_t | put_bit
| The callback function used to put each bit received.
void * | put_bit_user_data
| A user specified opaque pointer passed to the put_bit routine.
modem_tx_status_func_t | status_handler
| The callback function used to report modem status changes.
void * | status_user_data
| A user specified opaque pointer passed to the status function.
int32_t | carrier_on_power
int32_t | carrier_off_power
power_meter_t | power
int16_t | last_sample
| The value of the last signal sample, using the a simple HPF for signal power estimation.
int | signal_present
| >0 if a signal above the minimum is present. It may or may not be a V.29 signal.
int32_t | phase_rate [2]
uint32_t | phase_acc [2]
int | correlation_span
complexi32_t | window [2][FSK_MAX_WINDOW_LEN]
complexi32_t | dot [2]
int | buf_ptr
int | frame_state
int | frame_bits
int | baud_phase
int | last_bit
int | scaling_shift

## Detailed Description

FSK modem receive descriptor. This defines the state of a single working instance of an FSK modem receiver.

The documentation for this struct was generated from the following file:

- private/fsk.h